Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Interface IImplicitDependencies

All Known Implementing Classes:
  `CachingImplicitDependencies`, `DefaultImplicitDependencies`

    public interface IImplicitDependencies

This interface describes the contract of providing the set of files that must be used "together with" a given file, whatever the desired semantics of "together with" is. It is used in EMFCompare to get the files that are part of the same logical model when it's not possible to guess that by looking at the actual dependencies (via EReferences).

### Method Summary

All Methods Instance Methods Abstract Methods
`Set<URI>` `of​(URI uri, URIConverter uriConverter)` Provides a set continaing the given URI plus its implicit dependencies (those that cannot be found by instpecting the cross-references of the resource represented by the given URI).

### Method Detail

#### of

    Set<URI> of​(URI uri,
                URIConverter uriConverter)

Provides a set continaing the given URI plus its implicit dependencies (those that cannot be found by instpecting the cross-references of the resource represented by the given URI).

Parameters:
  `uri` - URI of a model resource for which we want the set of related dependencies
  `uriConverter` - URI Converter to use
Returns:
  Must return a Set that's never null nor empty, that contains at least the given uri, plus its implicit dependencies if it has any..